Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

Different problem with disabled addons unrelated to certificates and updates

  • 14 uphendule
  • 1 inale nkinga
  • 129 views
  • Igcine ukuphendulwa ngu cor-el

more options

Thanks to anyone reading this. I depend on several Firefox addons for my livelihood and need them to work.

The problem: Only a select few of my addons work after installing a parallel (older) version of firefox in a separate Program Files folder I called "Firefox 49.02. (why I wanted to do that: there is a specific iMacros version and some scripts that only work with 49.02, and I wanted to use FF 49.02 to run that version of iMacros while I wasn't using the regular updated version (i.e. FF 72).

I didn't expect my current addons to work in FF 49, so I wasn't surprised when they were disabled for that version.

BUT when opening the latest, FF 72, virtually all my addons were also disabled!

All disabled addons, except for 3 of them (out of almost 100), don't even have a blue switch or a way to enable them, even in the context menu, or the manage page (where you can enable auto-updates and see author details and home page etc.).

I ran a "Check for updates" for all addons, and a couple managed to update and enable, though I'm not sure if they were ones that had a switch.

I've attached a screenshot of the addons page showing some without an enable option beside a couple that do.

Note: All these addons worked flawlessly in this prior to installing FF 49

I've searched everywhere but everything is so saturated with fixing the "disabled addons certificate" problems that happened for everyone who *upgraded*. In my case, I installed a parallel downgraded version and the addon's won't work in either version.

Hope things are clear, sorry if I repeated my self. Please let me know any more information needed I am desperately seeking a solution for this.

Ama-screenshot ananyekiwe

Isisombululo esikhethiwe

I found one solution to this problem.

I noticed in my appdata/mozilla/firefox/profiles, there was no profile for the older version of firefox, but my default profile, developer profile, and beta profile were all available. This told me I should try and look at the profile folder and decided to first try and do a previous version restore (on Windows 7, right click>properties--previous versions tab, select the date prior to installation of FF 49.02, and press restore). This will only work if you have the option to maintain previous versions set on windows. Luckily I caught it the day after; it might not work if it's been longer.

For those who can't restore previous version, or if it didn't work, you'll probably want to investigate the default profile folder. I looks like the older version may have overwritten some files in the existing one. We know the extensions are actually loading into firefox, but they can't be enabled. So that's beyond the scope here, because I managed to restore my entire profile folder after which all my extensions were re-enabled and firefox works properly now.

I won't be running the old version anymore, but was able to find a portable version of 49.02 which doesn't overwrite your profiles.

I'm now setting regular backups for my Firefox profile folder.

The only problem is, the main reason I wanted to use the 49.02 was to use it with a specific version of iMacros which could help with speeding up the process of uploading Redbubble, and when loading the redbubble login page, it doesn't work on 49.02. This is not part of the original question, I'm just adding info since those seeking to use this method will be disappointed. What I did manage to find out about this problem (using the inspector (f12 key) and the MadeWith extension) is find out that the actual login input uses something called React. As far as I can tell is this is a type of javascript, but I can't find any information on whether or not it's compatible with older versions of firefox. I'm going to be trying to record a new macro and see how that goes.

Funda le mpendulo ngokuhambisana nalesi sihloko 👍 0

All Replies (14)

more options

Hi shiftededge, I wasn't able to find the ImTranslator in AMO. Maybe it was discontinued by the author (???) I did find this one: Google Translate, ImTranslator, Dictionary, TTS https://addons.mozilla.org/en-US/firefox/addon/imtranslator/

As far as the Iridium extension, did you try to Remove your current one and re-install: Iridium for YouTube https://addons.mozilla.org/en-US/firefox/addon/particle-iridium/

more options

I'm not sure you understood the problem. I have about a hundred addons here that I need to enable. I'm not looking for the pages of a couple addons in the screenshot.

The problem is that they don't have the option to be enabled.

Okulungisiwe ngu shiftededge

more options

There's a slider button at the right end of the extension.

more options

No, that is exactly what I don't have. Please read more closely. There are NO slider buttons at the right of almost all the extensions (there are many more that are not in this screenshot), which is the MAIN problem I am bringing up in the question here. If you look at the screenshot, I point to several areas with RED arrows to show that THERE IS NO SLIDER BUTTON AT THE RIGHT OF THE EXTENSIONS. Also, the two extensions you were talking about (iridium and translate) are EXACTLY the ones that I DON'T need help with, because they DO have the slider on the right, and I can enable them without a problem. I simply included them in the disabled state to show how some extensions do have the slider button and can be enabled but the vast majority cannot. So I really don't understand, everything you're responding with is basically the exact opposite of what my question is about.

Okulungisiwe ngu shiftededge

more options

Are you using Sync? Are both versions, 49 & 72, both signed into your Account?

more options

RobertJ said

Are you using Sync? Are both versions, 49 & 72, both signed into your Account?

Yes

more options

I know from experience, that when you have two Profiles of the same version signed into your Account at the same time, they try to Sync. I signed one of my Profiles out of the Account and it stopped the syncing.

I don't normally use Sync, so , I'm not sure if that would solve your issue but, I believe that we found the culprit.

more options

I signed out of sync on the FF 49.02, but it had no effect on FF 72 after restart.

more options

I wouldn't go digging to deep into this right now. You might create a situation where you will have to Remove & Re-install all of your extensions. I'll try to find someone familiar with Sync to look into this for you.

more options

Isisombululo Esikhethiwe

I found one solution to this problem.

I noticed in my appdata/mozilla/firefox/profiles, there was no profile for the older version of firefox, but my default profile, developer profile, and beta profile were all available. This told me I should try and look at the profile folder and decided to first try and do a previous version restore (on Windows 7, right click>properties--previous versions tab, select the date prior to installation of FF 49.02, and press restore). This will only work if you have the option to maintain previous versions set on windows. Luckily I caught it the day after; it might not work if it's been longer.

For those who can't restore previous version, or if it didn't work, you'll probably want to investigate the default profile folder. I looks like the older version may have overwritten some files in the existing one. We know the extensions are actually loading into firefox, but they can't be enabled. So that's beyond the scope here, because I managed to restore my entire profile folder after which all my extensions were re-enabled and firefox works properly now.

I won't be running the old version anymore, but was able to find a portable version of 49.02 which doesn't overwrite your profiles.

I'm now setting regular backups for my Firefox profile folder.

The only problem is, the main reason I wanted to use the 49.02 was to use it with a specific version of iMacros which could help with speeding up the process of uploading Redbubble, and when loading the redbubble login page, it doesn't work on 49.02. This is not part of the original question, I'm just adding info since those seeking to use this method will be disappointed. What I did manage to find out about this problem (using the inspector (f12 key) and the MadeWith extension) is find out that the actual login input uses something called React. As far as I can tell is this is a type of javascript, but I can't find any information on whether or not it's compatible with older versions of firefox. I'm going to be trying to record a new macro and see how that goes.

Okulungisiwe ngu shiftededge

more options

You can check for problems with the extensions registry files in the profile folder.

Try to to reset the extensions registry and rename extensions.json (extensionsOLD.json) and rename/remove previously used extensions files like extensions.ini and extensions.sqlite when present and rename/remove compatibility.ini in the Firefox profile folder with Firefox closed.

New files will be created when required.

See "corrupt extension files":

You can check for possible updates in case of issues.

  • click the cogwheel button (left of the Search bar) on the about:addons page to "Check for updates"

If this didn't help then delete add-ons.json and possibly prefs.js in case there is a problem with preferences.

You can use the button on the "Help -> Troubleshooting Information" (about:support) page to go to the current Firefox profile folder or use the about:profiles page.

more options

cor-el said

You can check for problems with the extensions registry files in the profile folder. Try to to reset the extensions registry and rename extensions.json (extensionsOLD.json) and rename/remove previously used extensions files like extensions.ini and extensions.sqlite when present and rename/remove compatibility.ini in the Firefox profile folder with Firefox closed. New files will be created when required. See "corrupt extension files": You can check for possible updates in case of issues.
  • click the cogwheel button (left of the Search bar) on the about:addons page to "Check for updates"
If this didn't help then delete add-ons.json and possibly prefs.js in case there is a problem with preferences. You can use the button on the "Help -> Troubleshooting Information" (about:support) page to go to the current Firefox profile folder or use the about:profiles page.

Thank you for the detailed instructions. Unfortunately I cannot test this method because I managed to fix it myself by restoring my profiles folder from the day before, so I cannot vouch for this solution. But I do think you are exactly on point and this may be worth looking into. The only problem I see is that many of the files in appdata/mozilla/firefox/[default profile] were overwritten by the older installation of firefox. This means both the old version and the new version of firefox are using the same profile folder. Maybe this could be solved by creating a new profile, and going through the steps in this thread to restore functionality to the updated version.

All is good on this, can be marked as closed, or solved, or however that works.

Okulungisiwe ngu shiftededge

more options

If you have downgraded Firefox and used the profile with older Firefox versions then your profile might be broken and in such a case best is to create a new profile.